Bug 1846503 - [baremetal] Master nodes should be tagged as NoSchedule
Summary: [baremetal] Master nodes should be tagged as NoSchedule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.5
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Russell Bryant
QA Contact: Lubov
URL:
Whiteboard:
Depends On: 1828250
Blocks: 1849217
TreeView+ depends on / blocked
 
Reported: 2020-06-11 18:15 UTC by Russell Bryant
Modified: 2020-07-13 17:44 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1828250
: 1849217 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:43:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1835 None closed [release-4.5] Bug 1846503: Sync kublelet config across platforms 2020-09-17 14:02:48 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:25 UTC

Comment 1 Kirsten Garrison 2020-06-11 20:07:02 UTC
Will cherrypick the 4.6 pr: 
https://github.com/openshift/machine-config-operator/pull/1817

to 4.5

Comment 7 Lubov 2020-06-21 06:07:28 UTC
taints added:

spec:
  podCIDR: fd01:0:0:2::/64
  podCIDRs:
  - fd01:0:0:2::/64
  taints:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master

Scaled pods running on workers only

Comment 8 errata-xmlrpc 2020-07-13 17:43:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.